Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739894 - dev-java/jaxen-1.1.6-r1 : * java-config --classpath=dom4j-1 failed
Summary: dev-java/jaxen-1.1.6-r1 : * java-config --classpath=dom4j-1 failed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 734160 757990
  Show dependency tree
 
Reported: 2020-09-01 14:17 UTC by Toralf Förster
Modified: 2021-04-14 14:41 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.11 KB, text/plain)
2020-09-01 14:17 UTC, Toralf Förster
Details
dev-java:jaxen-1.1.6-r1:20200901-132802.log (dev-java:jaxen-1.1.6-r1:20200901-132802.log,2.30 KB, text/plain)
2020-09-01 14:17 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,77.26 KB, text/plain)
2020-09-01 14:17 UTC, Toralf Förster
Details
environment (environment,154.14 KB, text/plain)
2020-09-01 14:17 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.71 KB, application/x-bzip)
2020-09-01 14:17 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,2.07 KB, application/x-bzip)
2020-09-01 14:17 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-09-01 14:17:05 UTC
 * ERROR: dev-java/jaxen-1.1.6-r1::gentoo failed (compile phase):
 *   java-config --classpath=dom4j-1 failed
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-20200830-141907

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.2.0 *
clang version 10.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
  [4]   python3.6 (fallback)
  [5]   python2.7 (fallback)
  [6]   pypy3 (fallback)
Available Ruby profiles:
  [1]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.46.0 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.16.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.8.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Tue Sep  1 12:06:18 PM UTC 2020

emerge -qpvO dev-java/jaxen
[ebuild  N    ] dev-java/jaxen-1.1.6-r1  USE="-doc -source"
Comment 1 Toralf Förster gentoo-dev 2020-09-01 14:17:06 UTC
Created attachment 657744 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-09-01 14:17:08 UTC
Created attachment 657746 [details]
dev-java:jaxen-1.1.6-r1:20200901-132802.log
Comment 3 Toralf Förster gentoo-dev 2020-09-01 14:17:10 UTC
Created attachment 657748 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-09-01 14:17:12 UTC
Created attachment 657750 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-09-01 14:17:13 UTC
Created attachment 657752 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-09-01 14:17:15 UTC
Created attachment 657754 [details]
logs.tbz2
Comment 7 Thomas Deutschmann gentoo-dev Security 2020-12-02 23:08:56 UTC
Confirmed for x86:

> >>> Source prepared.
> >>> Configuring source in /var/tmp/portage/dev-java/jaxen-1.1.6-r1/work ...
> >>> Source configured.
> >>> Compiling source in /var/tmp/portage/dev-java/jaxen-1.1.6-r1/work ...
> !!! ERROR: Package jaxen-1.1 was not found!
>  * ERROR: dev-java/jaxen-1.1.6-r1::gentoo failed (compile phase):
>  *   java-config --classpath=dom4j-1 failed
>  *
>
Comment 8 Jason McGuiness 2020-12-24 12:14:35 UTC
I am affected by this problem too.
Comment 9 Vladimír Pilný 2021-03-15 09:22:02 UTC
I have the same problem like Thomas Deutschmann on amd64. The solution to successfully compile was for me to remove dom4j-1 from JAVA_GENTOO_CLASSPATH and remove org/jaxen/dom4j in the similar way like ripping xom in jaxen-1.1.6-r1.ebuild
Comment 10 Larry the Git Cow gentoo-dev 2021-04-14 14:41:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d803b3f2b662d31ac3ab47abafc6aea09fdf80b

commit 1d803b3f2b662d31ac3ab47abafc6aea09fdf80b
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2021-04-13 09:01:41 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-04-14 14:41:43 +0000

    dev-java/jaxen: bug https://bugs.gentoo.org/739894
    
    Closes: https://bugs.gentoo.org/739894
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/20353/commits/2bd5ea67f87385106092c8ca44cca70ba67a0c71
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/jaxen/jaxen-1.1.6-r2.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)